using System.ComponentModel;
using System.ComponentModel.DataAnnotations;

namespace RB_MES_APICore.Models
{
    /// <summary>
    /// 使用定时器的服务列表
    /// </summary>
    public class ApiHostService
    {
        /// <summary>
        /// 主键
        /// </summary>
        [Key]
        [DisplayName("内码")]
        public int FID { get; set; }
        /// <summary>
        /// 控制器内的方法名
        /// </summary>
        [DisplayName("执行方法名")]
        [StringLength(80)]
        public string FActionName { get; set; } = string.Empty;
        /// <summary>
        /// 获取查询字段列表的关键字
        /// </summary>
        [DisplayName("执行类型")]
        [StringLength(80)]
        public string FDocType { get; set; } = string.Empty;
        /// <summary>
        /// 间隔的时间（分钟）
        /// </summary>
        [DisplayName("执行间隔期")]
        [StringLength(80)]
        public int FTimer {  get; set; }
    }
}
